### TechNote

Number:06611-01
Date:April 1994

## Smart II Software: LLC parameters

### 1 Introduction

This document describes the parameters that affect the operation of the LLC interface on a particular Ringnode in your workstation. For information about enabling the Smart II Software interfaces and using a SMART.CFG file, see TechNote 06608.

If you are using SMART.CFG to configure your Smart II Software, then place the LLC parameters in the [LLC] section or the [CARD] section. Table 1 tells you which parameters can go in either section, and which must go in the [LLC] section.

The following example displays part of a SMART.CFG containing some of the LLC parameters.

    [HOST]                ; Host parameters here
         [CARD]           ; First Card section
         [LLC]            ; Install the LLC interface
         rx.size = 2130
         saps = 2

The following table contains a list of all the LLC parameters and tells you which sections of the SMART.CFG file they can appear in. Section 2 describes each of the LLC parameters.

    Parameter       Abbrev   Section

    NODE.ADDRESS    NA       [CARD] or [LLC]
    FRAME.SIZE      FS       [CARD] or [LLC]
    SAPS            SA       [CARD] or [LLC]
    EXTRA.SAPS      ES       [CARD] or [LLC]
    STATIONS        ST       [CARD] or [LLC]
    EXTRA.STATIONS  EST      [CARD] or [LLC]
    PCS                      [LLC]
    RX.SIZE	RX               [LLC]

If you are configuring your Smart II Software from the command line, you can put the LLC parameters anywhere. However, we recommend that you put them all together.

A sample command line, which enables an LLC interface with a receive size of 1024 bytes, is shown below.

Example: `SMART LLC RX=1024`

### 2 LLC parameters

This section describes the LLC parameters.

RX.SIZE
  Specifies the maximum size of frame that the LLC interface can receive. RX.SIZE does not affect the FRAME.SIZE but it is limited by it. If RX.SIZE is increased then DOS memory usage also increases.

  Range: 100 - 17960
  Default: 2130
  Abbreviation: RX
  Example: `RX=1024`

PCS
  Ensures compatibility with IBM PC Support Program and versions of IBM PC/3270 later than version 1.01 (see TechNote 06610).

  Example: `PCS`

FRAME.SIZE
  This parameter controls the maximum frame size that protocol modules can use. The maximum value depends on which interfaces are enabled, and on which Ringnode you are running. By default the maximum frame size possible (up to 4K) is used (this may be less than the value you specify).

  Range: 200 - 17960
  Abbreviation: FS
  Example: `FS=1024`

NODE.ADDRESS
  The node address parameter allows you to specify the 6- byte node address to be used by the Ringnode. If you omit this parameter, the Ringnode uses its unique burnt-in node address. We recommend the burnt-in address whenever possible.

  You can specify the node address without a keyword.

  You can use any valid hexadecimal number in the range 400000000000 to 7FFFFFFFFFFF.

  Ensure that every adapter in your network has a different node address.

  Range: 400000000000 - 7FFFFFFFFFFF

  Abbreviation: NA or (blank)
  Example 1: `NA=400012345678`
  Example 2: `400012345678`

SAPS
  Specifies the maximum number of LLC Service Access Points that you can open at any one time. NetBIOS, IPX, and TCP/IP each use one SAP.

  There is a minimum value for the sum of SAPS and EXTRA.SAPS. If the sum comes to 5 or less, the number of Service Access Points you can open at any one time remains 5.

  Range: 0 - 127
  Default: 2
  Abbreviation: SA
  Example: `SA=27`

EXTRA.SAPS
  Specifies the number of extra SAPs that are available for LLC applications, other than NetBIOS and IPX, to use. For example, you need one for a 3270 attachment program. The total number of SAPS and EXTRA.SAPS must not exceed 128.

  There is a minimum value for the sum of SAPS and EXTRA.SAPS. If the sum comes to 5 or less, the number of Service Access Points you can open at any one time remains 5.

  Range: 0 - 127
  Default: 3
  Abbreviation: ES
  Example: `ES=27`

STATIONS
  Specifies the maximum number of LLC links (link-stations) that you can open at one time. The total value of STATIONS and EXTRA.STATIONS (see below) is the total number of LLC links available.

  If you enable the NetBIOS interface, NetBIOS uses all of the links that you specify with the STATIONS parameter. If you disable the NetBIOS interface, all of these links are available to other LLC applications.

  There is a minimum value for the sum of STATIONS and EXTRA.STATIONS. If the sum comes to 20 or less, the number of links you can open at any one time remains 20.

  The sum of STATIONS and EXTRA.STATIONS must not exceed 255. Range: 0 - 254
  Default: 32
  Abbreviation: ST
  Example: `ST=27`

EXTRA.STATIONS
  Specifies the maximum number of extra LLC links (link- stations) that you can open at one time. The total value of STATIONS (see above) and EXTRA.STATIONS is the total number of links available.

  NetBIOS uses all of the links you specify with the STATIONS parameter. Those that you specify using EXTRA.STATIONS are available for other LLC applications.

  The default value of 3 allows you to use an LLC workstation application that requires one link. You could use the other two links to connect to a 3270 attachment program, to an AS400 direct attachment program, or to a bridge.

  There is a minimum value for the sum of STATIONS and EXTRA.STATIONS. If the sum comes to 20 or less, the number of links you can open at any one time remains 20.

  The sum of STATIONS and EXTRA.STATIONS must not exceed 255.

  Range: 0 - 254
  Default: 3
  Abbreviation: EST
  Example: `EST=27`